List foldersAsk AIget https://api.safetyculture.io/directory/v1/foldersQuery Paramspage_sizeint32Required. This determines the max number of folders returned in the response.page_tokenstringOptional. base64 encoded. If this field is present, the list of folders returned will start from the row after this token.order_by.sort_fieldstringenumDefaults to SORT_FIELD_UNSPECIFIEDThe field to order by SORT_FIELD_UNSPECIFIED: The sort field is unspecified SORT_FIELD_NAME: Sort the folder by name SORT_FIELD_FOLDER_ID: Sort the folders by folder id SORT_FIELD_USER_ID: Sort the folders by user id SORT_FIELD_CREATED_AT: Sort the folders by created at SORT_FIELD_MODIFIED_AT: Sort the folders by modified at SORT_FIELD_UNSPECIFIEDSORT_FIELD_NAMESORT_FIELD_FOLDER_IDSORT_FIELD_USER_IDSORT_FIELD_CREATED_ATSORT_FIELD_MODIFIED_ATAllowed:SORT_FIELD_UNSPECIFIEDSORT_FIELD_NAMESORT_FIELD_FOLDER_IDSORT_FIELD_USER_IDSORT_FIELD_CREATED_ATSORT_FIELD_MODIFIED_ATorder_by.sort_orderstringenumDefaults to SORT_ORDER_UNSPECIFIEDThe direction to order by SORT_ORDER_UNSPECIFIED: The sort order is not specified SORT_ORDER_ASCENDING: The sort order is asc SORT_ORDER_DESCENDING: The sort order is desc SORT_ORDER_UNSPECIFIEDSORT_ORDER_ASCENDINGSORT_ORDER_DESCENDINGAllowed:SORT_ORDER_UNSPECIFIEDSORT_ORDER_ASCENDINGSORT_ORDER_DESCENDINGonly_leaf_nodesbooleanOptional. When true, GetFolders will only return leaf node folders. leaf nodes are folders that do not have children Defaults to false.truefalsewith_ancestorsbooleanOptional. When true, folders will be returned with a list of their ancestors as well. Defaults to falsetruefalseinclude_deletedbooleanWhen true, deleted folders will also be returnedtruefalseignore_folders_disabledbooleanOptional. When true, folders will still be returned when disabled for the organisationtruefalsedomainstringdomain represents the type/domain/hierarchy for the folder. This is used for getting folders of a certain domain, i.e. getting all template folders or site foldersResponses 200A successful response. defaultAn unexpected error response.Updated 5 months ago